Test.Chell

# Main

defaultMain

# Test suites

data Suite

suiteName

suiteTests

## Building test suites

class BuildSuite a

class SuiteOrTest a

suite

## Skipping some tests

skipIf

skipWhen

# Basic testing library

data Assertions a

assertions

class IsAssertion a

data Assertion

assertionPassed

assertionFailed

assert

expect

die

trace

note

afterTest

requireLeft

requireRight

## Built-in assertions

equal

notEqual

equalWithin

just

nothing

left

right

throws

throwsEq

greater

greaterEqual

lesser

lesserEqual

sameItems

equalItems

class IsText a

equalLines

equalLinesWith

# Custom test types

data Test

test

testName

runTest

## Test results

data TestResult

### Failures

data Failure

failure

failureLocation

failureMessage

### Failure locations

data Location

location

locationFile

locationModule

locationLine

## Test options

data TestOptions

defaultTestOptions

testOptionSeed

testOptionTimeout